// Beispiel KeyListener

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

public class KeyListenerTest extends JFrame {
   private Listener listener = new Listener() ;
   private JTextField t1, t2 ;
   private JButton b ;
   
   public KeyListenerTest() {
      super("Textfeld-Test");
      setSize(500,300);
      setLayout(new FlowLayout());
      addKeyListener(listener);
      Container cp = getContentPane();
      cp.add(new JLabel("Texteingabe: ")) ;

      t1 = new JTextField(30);
      
      // Listener fr das Textfeld  registrieren
//      t1.addKeyListener(listener) ;
      cp.add(t1);

      cp.add(new JLabel("Textausgabe: ")) ;
      t2 = new JTextField(30);
      cp.add(t2);
      
      b = new JButton("Button Test") ;
      b.addKeyListener(listener) ;
      cp.add(b) ;

      setVisible(true);

      // WindowListener instanziieren und registrieren (anonyme Klasse)
      addWindowListener(new WindowAdapter() {
         public void windowClosing(WindowEvent e) {
            setVisible(false);
            dispose();
            System.exit(0);
         }
      } );
   }

   public class Listener implements KeyListener {
      
      public void keyPressed(KeyEvent e) {
         int keyCode = e.getKeyCode() ;
         char keyChar = e.getKeyChar() ;
         String keyText = KeyEvent.getKeyText(keyCode) ;

         System.out.println("Keycode: " + keyCode);
         System.out.println("Keychar: " + keyChar);
         System.out.println("Keytext: " + keyText);
         System.out.println("Taste gedckt: ");
      }
      public void keyReleased(KeyEvent e) {
         System.out.println("Taste losgelassen: " + e.getKeyCode());
      }
      public void keyTyped(KeyEvent e) {
         System.out.println("Taste gedckt und losgelassen: " + e.getKeyCode());
      }
      
   }
   public static void main(String[] args) {
      KeyListenerTest t = new KeyListenerTest();
   }
}
